"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BaseDocAuth = void 0;
exports.isByteAuth = isByteAuth;
exports.isDocAuth = isDocAuth;
/**
 * Check if the authentication object is a ByteAuth.
 * @param auth The object to check
 * @returns Whether the object is a ByteAuth.
 */
function isByteAuth(auth) {
    return 'sign' in auth;
}
/**
 * Check if the authentication object is a DocAuth.
 * @param auth The object to check
 * @returns Whether the object is a DocAuth.
 */
function isDocAuth(auth) {
    return 'signDoc' in auth;
}
/**
 * Base class for Doc Auth.
 */
class BaseDocAuth {
    offlineSigner;
    address;
    algo;
    pubkey;
    constructor(offlineSigner, address, algo, pubkey) {
        this.offlineSigner = offlineSigner;
        this.address = address;
        this.algo = algo;
        this.pubkey = pubkey;
    }
}
exports.BaseDocAuth = BaseDocAuth;
