import { Algo, Auth, IAccount } from './auth';
/**
 * AccountBase implements common parts of the IAccount interface.
 */
export declare abstract class AccountBase implements IAccount {
    prefix: string;
    auth: Auth;
    isPublicKeyCompressed: boolean;
    address: string;
    constructor(prefix: string, auth: Auth, isPublicKeyCompressed?: boolean);
    get publicKey(): import("./auth").IKey;
    getAddress(): string;
    /**
     * Get address by public key(compressed or uncompressed).
     */
    abstract getAddressByPubKey(): string;
    toAccountData(): {
        address: string;
        algo: Algo;
        pubkey: Uint8Array<ArrayBufferLike>;
    };
}
