/**
 * Check if the authentication object is a ByteAuth.
 * @param auth The object to check
 * @returns Whether the object is a ByteAuth.
 */
export function isByteAuth(auth) {
    return 'sign' in auth;
}
/**
 * Check if the authentication object is a DocAuth.
 * @param auth The object to check
 * @returns Whether the object is a DocAuth.
 */
export function isDocAuth(auth) {
    return 'signDoc' in auth;
}
/**
 * Base class for Doc Auth.
 */
export class BaseDocAuth {
    offlineSigner;
    address;
    algo;
    pubkey;
    constructor(offlineSigner, address, algo, pubkey) {
        this.offlineSigner = offlineSigner;
        this.address = address;
        this.algo = algo;
        this.pubkey = pubkey;
    }
}
